Subject: bug#19731: 24.4; /dev/null is deleted by tramp-sh.el

From: Michael Albinus <[email-masked]>
Date: Mon, 02 Feb 2015 20:50:41 +0100

Stefan Monnier <[email-masked]> writes:

>> Well, I'm kind of conservative. Setting HISTFILE to /dev/null is the
>> default for years, and your report is the first one about this problem.
>
> It seems like a plain bug for bash to do what it does

Looks to me like this.

> (does it also
> turn a symlink into a plain file?  wouldn't that also be a bug?), but
> I wonder: what could Tramp do instead of setting HISTFILE to /dev/null?
> Could unsetting it result in the same behavior (i.e. not save Tramp's
> commands to any file)?

That's how I understood the doc. Hope somebody will test it.

>         Stefan

Best regards, Michael.

PS: I've changed the corresponding value of `tramp-histfile-override' to
t instead of `unset'. It looks more natural to Lisp.